> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# search entities

> Search by params from response dto



## OpenAPI

````yaml /openapi.json post /api/v1/plan/search
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/plan/search:
    post:
      tags:
        - Plan Route
      summary: search entities
      description: Search by params from response dto
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QuerySearchRequestDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginationDtoPlanDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    QuerySearchRequestDto:
      type: object
      properties:
        from:
          format: int32
          description: Starting document offset
          default: 0
          minimum: 0
          type: integer
          example: 0
        size:
          format: int32
          description: The number of hits to return
          default: 10
          maximum: 10000
          minimum: 0
          type: integer
          example: 10
        where:
          description: Query string to search for data. Represent SQL 'where'
          type: string
          example: field1='value' and field2<>'value2'
        sort:
          description: Sorting for the search
          minItems: 1
          type: array
          items:
            $ref: '#/components/schemas/SortDto'
        trackTotal:
          description: Return total results field if true
          default: false
          type: boolean
    PaginationDtoPlanDto:
      type: object
      properties:
        data:
          description: Response data
          type: array
          items:
            $ref: '#/components/schemas/PlanDto'
        total:
          format: int64
          description: Total amount of document available for this request
          type: integer
    SortDto:
      required:
        - field
      type: object
      properties:
        field:
          description: Field name for sorting
          pattern: \S
          type: string
          example: timestamp
        order:
          description: 'Order for the sorting. Default: ASC'
          type: string
          allOf:
            - $ref: '#/components/schemas/SortOrder'
    PlanDto:
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        name:
          description: Name for the entity
          type: string
        maxUsers:
          format: int32
          description: The maximum number of users allowed under this plan
          type: integer
        maxContracts:
          format: int32
          description: The maximum number of contracts allowed under this plan
          type: integer
        maxProjects:
          format: int32
          description: The maximum number of projects allowed under this plan
          type: integer
        maxTriggers:
          format: int32
          description: The maximum number of triggers allowed under this plan
          type: integer
        maxDetectors:
          format: int32
          description: The maximum number of detectors allowed under this plan
          type: integer
        maxWallets:
          format: int32
          description: The maximum number of wallets allowed under this plan
          type: integer
        maxActions:
          format: int32
          description: The maximum number of actions allowed under this plan
          type: integer
        maxApiKeys:
          format: int32
          description: The maximum number of api keys allowed under this plan
          type: integer
        detectorRateLimit:
          format: int32
          description: The maximum rate of detector alerts per duration
          type: integer
        detectorRateLimitDuration:
          format: int32
          description: >-
            The time duration (in milliseconds) per which the maximum rate of
            detector alerts is allowed
          type: integer
    SortOrder:
      enum:
        - Asc
        - Desc
      type: string
    Status:
      enum:
        - ACTIVE
        - DISABLED
        - DELETED
      type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````